Bug 128767 - Update: x11-wm/pekwm to 0.1.8
Update: x11-wm/pekwm to 0.1.8
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Martin Wilke
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-10 22:00 UTC by hrkfrd
Modified: 2008-11-23 16:40 UTC (History)
0 users

See Also:


Attachments
pekwm.patch (2.33 KB, patch)
2008-11-10 22:00 UTC, hrkfrd
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description hrkfrd 2008-11-10 22:00:10 UTC

    
Comment 1 Edwin Groothuis freebsd_committer 2008-11-10 22:00:17 UTC
Maintainer of x11-wm/pekwm,

Please note that PR ports/128767 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/128767

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2008-11-10 22:00:19 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Martin Wilke freebsd_committer 2008-11-11 05:02:01 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 4 Carpetsmoker 2008-11-19 21:11:49 UTC
Hi,

Thank you for your patch!

I really don't have time to look at the this during this week or the next, I
get home at 2200 every day and I really want to do something different then
stare at a computer screen then (I already do that all day long at work).

Please go ahead and commit this assuming it builds and runs fine.

-- 
Martin Tournoij
carpetsmoker@rwxrwxrwx.net
http://www.daemonforums.org

QOTD:
Watership Down: You've read the book.  You've seen the movie.
Now eat the stew!
Comment 5 hrkfrd 2008-11-20 19:26:53 UTC
This patch fixes an annoying bug when trying to run mplayer in
fullscreen.
More information: http://www.pekwm.org/projects/3/tasks/84

Please include it!

--- mplayer-fix.diff begins here ---

diff -Naur ./files/patch-Frame.cc ../pekwm/files/patch-Frame.cc
--- ./files/patch-Frame.cc	1970-01-01 01:00:00.000000000 +0100
+++ ../pekwm/files/patch-Frame.cc	2008-11-20 20:21:58.000000000 +0100
@@ -0,0 +1,46 @@
+diff -Naur ./src/Frame.cc ../pekwm-0.1.8/src/Frame.cc
+--- ./src/Frame.cc	2008-11-20 20:20:55.000000000 +0100
++++ ../pekwm-0.1.8/src/Frame.cc	2008-11-20 20:21:20.000000000 +0100
+@@ -1990,7 +1990,7 @@
+ Frame::handleConfigureRequestGeometry(XConfigureRequestEvent *ev, Client *client)
+ {
+     // Look for fullscreen requests
+-    long all_geometry = CWX|CWY|CWWidth|CWHeight;
++    const long all_geometry = CWX|CWY|CWWidth|CWHeight;
+     bool is_fullscreen = false;
+     if (Config::instance()->isFullscreenDetect()
+         && ! client->isCfgDeny(CFG_DENY_SIZE)
+@@ -2007,16 +2007,15 @@
+     }
+ 
+     if (! is_fullscreen) {
+-        // Remove fullscreen state if client changes it size
+-        if (Config::instance()->isFullscreenDetect()) {
+-            setStateFullscreen(STATE_UNSET);
+-        }
++        bool change_geometry = false;
+ 
+         if (! client->isCfgDeny(CFG_DENY_SIZE)
+                 && (ev->value_mask & (CWWidth|CWHeight)) ) {
+ 
+             resizeChild(ev->width, ev->height);
+             _client->setShaped(setShape());
++
++           change_geometry = true;
+         }
+ 
+         if (! client->isCfgDeny(CFG_DENY_POSITION)
+@@ -2025,6 +2024,13 @@
+             calcGravityPosition(_client->getXSizeHints()->win_gravity,
+                                 ev->x, ev->y, _gm.x, _gm.y);
+             move(_gm.x, _gm.y);
++
++           change_geometry = true;
++        }
++
++        // Remove fullscreen state if client changes it size
++        if (change_geometry && Config::instance()->isFullscreenDetect()) {
++            setStateFullscreen(STATE_UNSET);
+         }
+     }
+ }

--- mplayer-fix.diff ends here ---
Comment 6 Martin Wilke freebsd_committer 2008-11-23 16:30:49 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!
Comment 7 dfilter freebsd_committer 2008-11-23 16:30:56 UTC
miwi        2008-11-23 16:30:43 UTC

  FreeBSD ports repository

  Modified files:
    x11-wm/pekwm         Makefile distinfo 
  Added files:
    x11-wm/pekwm/files   patch-Frame.cc 
  Removed files:
    x11-wm/pekwm/files   patch-data-scripts-pekwm_themeset.sh 
  Log:
  - Update to 0.1.8
  
  PR:             128767
  Submitted by:   Henrik Friedrichsen <hrkfrd@googlemail.com>
  Approved by:    maintainer
  
  Revision  Changes    Path
  1.29      +4 -5      ports/x11-wm/pekwm/Makefile
  1.15      +3 -3      ports/x11-wm/pekwm/distinfo
  1.1       +46 -0     ports/x11-wm/pekwm/files/patch-Frame.cc (new)
  1.2       +0 -12     ports/x11-wm/pekwm/files/patch-data-scripts-pekwm_themeset.sh (dead)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"